public class VdlLoggerFactory extends ViewDeclarationLanguageFactory {
    private final ViewDeclarationLanguageFactory wrapped_;

    public VdlLoggerFactory(ViewDeclarationLanguageFactory viewDeclarationLanguage) {
        wrapped_ = viewDeclarationLanguage;
    }

    @Override
    public  ViewDeclarationLanguage getViewDeclarationLanguage(String viewId) {
        return new VdlLogger(wrapped_.getViewDeclarationLanguage(viewId));
    }

    @Override
    public ViewDeclarationLanguageFactory getWrapped() { return wrapped_; }
}
